nautilus-file-info
3
LIBNAUTILUS-EXTENSION Library

# nautilus-file-info

## Synopsis

    #define             NAUTILUS_FILE_DEFINED
    typedef             NautilusFile;
    typedef             NautilusFileInfo;
                        NautilusFileInfoIface;
    GList*              nautilus_file_info_list_copy        (GList *files);
    void                nautilus_file_info_list_free        (GList *files);
    gboolean            nautilus_file_info_is_gone          (NautilusFileInfo *file);
    GFileType           nautilus_file_info_get_file_type    (NautilusFileInfo *file);
    GFile*              nautilus_file_info_get_location     (NautilusFileInfo *file);
    char*               nautilus_file_info_get_name         (NautilusFileInfo *file);
    char*               nautilus_file_info_get_uri          (NautilusFileInfo *file);
    char*               nautilus_file_info_get_activation_uri
                                                            (NautilusFileInfo *file);
    GFile*              nautilus_file_info_get_parent_location
                                                            (NautilusFileInfo *file);
    char*               nautilus_file_info_get_parent_uri   (NautilusFileInfo *file);
    GMount*             nautilus_file_info_get_mount        (NautilusFileInfo *file);
    char*               nautilus_file_info_get_uri_scheme   (NautilusFileInfo *file);
    NautilusFileInfo*   nautilus_file_info_get_parent_info  (NautilusFileInfo *file);
    char*               nautilus_file_info_get_mime_type    (NautilusFileInfo *file);
    gboolean            nautilus_file_info_is_mime_type     (NautilusFileInfo *file,
                                                             const char *mime_type);
    gboolean            nautilus_file_info_is_directory     (NautilusFileInfo *file);
    gboolean            nautilus_file_info_can_write        (NautilusFileInfo *file);
    void                nautilus_file_info_add_emblem       (NautilusFileInfo *file,
                                                             const char *emblem_name);
    char*               nautilus_file_info_get_string_attribute
                                                            (NautilusFileInfo *file,
                                                             const char *attribute_name);
    void                nautilus_file_info_add_string_attribute
                                                            (NautilusFileInfo *file,
                                                             const char *attribute_name,
                                                             const char *value);
    void                nautilus_file_info_invalidate_extension_info
                                                            (NautilusFileInfo *file);

## Object Hierarchy

      GInterface
       +----NautilusFileInfo

## Prerequisites

NautilusFileInfo requires GObject.

## Description

## Details

### NAUTILUS_FILE_DEFINED

    #define NAUTILUS_FILE_DEFINED

### NautilusFile

    typedef struct NautilusFile          NautilusFile;

### NautilusFileInfo

    typedef NautilusFile                  NautilusFileInfo;

### NautilusFileInfoIface

    typedef struct {
    	GTypeInterface g_iface;

    	gboolean          (*is_gone)              (NautilusFileInfo *file);

    	char *            (*get_name)             (NautilusFileInfo *file);
    	char *            (*get_uri)              (NautilusFileInfo *file);
    	char *            (*get_parent_uri)       (NautilusFileInfo *file);
    	char *            (*get_uri_scheme)       (NautilusFileInfo *file);

    	char *            (*get_mime_type)        (NautilusFileInfo *file);
    	gboolean          (*is_mime_type)         (NautilusFileInfo *file,
    						   const char       *mime_Type);
    	gboolean          (*is_directory)         (NautilusFileInfo *file);

    	void              (*add_emblem)           (NautilusFileInfo *file,
    						   const char       *emblem_name);
    	char *            (*get_string_attribute) (NautilusFileInfo *file,
    						   const char       *attribute_name);
    	void              (*add_string_attribute) (NautilusFileInfo *file,
    						   const char       *attribute_name,
    						   const char       *value);
    	void              (*invalidate_extension_info) (NautilusFileInfo *file);

    	char *            (*get_activation_uri)   (NautilusFileInfo *file);

    	GFileType         (*get_file_type)        (NautilusFileInfo *file);
    	GFile *           (*get_location)         (NautilusFileInfo *file);
    	GFile *           (*get_parent_location)  (NautilusFileInfo *file);
    	NautilusFileInfo* (*get_parent_info)      (NautilusFileInfo *file);
    	GMount *          (*get_mount)            (NautilusFileInfo *file);
    	gboolean          (*can_write)            (NautilusFileInfo *file);
    } NautilusFileInfoIface;

### nautilus_file_info_list_copy ()

    GList*              nautilus_file_info_list_copy        (GList *files);

`files` :

Returns :

### nautilus_file_info_list_free ()

    void                nautilus_file_info_list_free        (GList *files);

`files` :

### nautilus_file_info_is_gone ()

    gboolean            nautilus_file_info_is_gone          (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_file_type ()

    GFileType           nautilus_file_info_get_file_type    (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_location ()

    GFile*              nautilus_file_info_get_location     (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_name ()

    char*               nautilus_file_info_get_name         (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_uri ()

    char*               nautilus_file_info_get_uri          (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_activation_uri ()

    char*               nautilus_file_info_get_activation_uri
                                                            (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_parent_location ()

    GFile*              nautilus_file_info_get_parent_location
                                                            (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_parent_uri ()

    char*               nautilus_file_info_get_parent_uri   (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_mount ()

    GMount*             nautilus_file_info_get_mount        (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_uri_scheme ()

    char*               nautilus_file_info_get_uri_scheme   (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_parent_info ()

    NautilusFileInfo*   nautilus_file_info_get_parent_info  (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_get_mime_type ()

    char*               nautilus_file_info_get_mime_type    (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_is_mime_type ()

    gboolean            nautilus_file_info_is_mime_type     (NautilusFileInfo *file,
                                                             const char *mime_type);

`file` :

`mime_type` :

Returns :

### nautilus_file_info_is_directory ()

    gboolean            nautilus_file_info_is_directory     (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_can_write ()

    gboolean            nautilus_file_info_can_write        (NautilusFileInfo *file);

`file` :

Returns :

### nautilus_file_info_add_emblem ()

    void                nautilus_file_info_add_emblem       (NautilusFileInfo *file,
                                                             const char *emblem_name);

`file` :

`emblem_name` :

### nautilus_file_info_get_string_attribute ()

    char*               nautilus_file_info_get_string_attribute
                                                            (NautilusFileInfo *file,
                                                             const char *attribute_name);

`file` :

`attribute_name` :

Returns :

### nautilus_file_info_add_string_attribute ()

    void                nautilus_file_info_add_string_attribute
                                                            (NautilusFileInfo *file,
                                                             const char *attribute_name,
                                                             const char *value);

`file` :

`attribute_name` :

`value` :

### nautilus_file_info_invalidate_extension_info ()

    void                nautilus_file_info_invalidate_extension_info
                                                            (NautilusFileInfo *file);

`file` :